ECONF_DELIMITER_TAG(3)

NAME
econf_delimiter_tag - get the key-value delimiter character from a configuration file structure

SYNOPSIS

#include <libeconf.h>

char econf_delimiter_tag(econf_file *key_file);

DESCRIPTION

The econf_delimiter_tag() function retrieves the character used as the delimiter between keys and values in the configuration file represented by the structure pointed to by key_file.

For standard INI-style files, this delimiter is typically the equals sign (=). The delimiter can be set manually during file creation or parsing (e.g., via econf_set_delimiter_tag()). This function allows retrieving the currently configured delimiter.

RETURN VALUE

On success, econf_delimiter_tag() returns the delimiter character (char).

ERRORS

This function does not return an econf_err code directly.

SEE ALSO

econf_comment_tag(3), econf_set_delimiter_tag(3), econf_readConfig(3), econf_errString(3)